> For the complete documentation index, see [llms.txt](https://docs.iotex.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iotex.io/quicksilver/developers/sdk-integrations/python.md).

# Python

## Python Integration

QuickSilver supports seamless integration with the [OpenAI Python client library](https://pypi.org/project/openai/), allowing developers to interact with agents using a familiar interface.

### Installation

```bash
pip install openai
```

### Usage

```python
from openai import OpenAI

# Initialize the client
client = OpenAI(
    api_key="your-api-key",  # Use your Agent ID as the API Key
    base_url="https://api-quicksilver.iotex.ai/v1",  # QuickSilver API endpoint
)

# Prepare Actor input
run_input = {
    "model": "gpt-3.5-turbo",
    "messages": [
        {"role": "system", "content": "You are a helpful assistant."},
        {"role": "user", "content": "Tell me about OpenAPI schemas."}
    ],
    "temperature": 0.7
}

# Run the conversation
response = client.chat.completions.create(**run_input)

# Process the response
print(response.choices[0].message.content)
```

### Tips

* Multi-turn conversations are supported by adding more messages to the messages array.
* Fully compatible with OpenAI’s chat.completions interface — just point it to QuickSilver’s API.
* Keep your API key secure. Never expose it in public code or client-side applications.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.iotex.io/quicksilver/developers/sdk-integrations/python.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
